ApiDQ license renew service

ApiDQ license renew service #

The service allows you to renew the current ApiDQ license. When the method is called, the license validity period is extended by 1 month from the date of the request.

Method address #

POST /license/renew

Query parameters #

This method takes no parameters.

Request data example #

curl -X POST "https://api.apidq.io/v1/license/renew" \
     -H 'Content-Type: application/json' \
     -H 'Accept: application/json'

Response options #

ParameterDescription
successWhether the license was successfully renewed
messageHuman-readable description of the operation result
expiresAtNew license expiration date (ISO 8601 format)
renewedAtDate and time of the renewal (ISO 8601 format)

Response data example #

{
  "success": true,
  "message": "License successfully renewed",
  "expiresAt": "2026-07-15T08:52:39Z",
  "renewedAt": "2026-06-15T08:52:41Z"
}